package com.ruoyi.mall.domain.VO;

import java.math.BigDecimal;

public class SeckillGoodsVO {

    /** 开始时间 */
    private String timeStart;

    /** 结束时间 */
    private String timeEnd;

    /** 秒杀价 */
    private BigDecimal seckillPrice;

    /** 限购 */
    private Integer purchaseLimits;

    /** 秒杀商品id */
    private Integer seckillGoodsId;

    public String getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public BigDecimal getSeckillPrice() {
        return seckillPrice;
    }

    public void setSeckillPrice(BigDecimal seckillPrice) {
        this.seckillPrice = seckillPrice;
    }

    public Integer getPurchaseLimits() {
        return purchaseLimits;
    }

    public void setPurchaseLimits(Integer purchaseLimits) {
        this.purchaseLimits = purchaseLimits;
    }

    public Integer getSeckillGoodsId() {
        return seckillGoodsId;
    }

    public void setSeckillGoodsId(Integer seckillGoodsId) {
        this.seckillGoodsId = seckillGoodsId;
    }

    @Override
    public String toString() {
        return "SeckillGoodsVO{" +
                "timeStart='" + timeStart + '\'' +
                ", timeEnd='" + timeEnd + '\'' +
                ", seckillPrice=" + seckillPrice +
                ", purchaseLimits=" + purchaseLimits +
                ", seckillGoodsId=" + seckillGoodsId +
                '}';
    }
}
